Search documentation of grizzly

# View Source Grizzly.ZWave.Commands.FailedNodeReplace (grizzly v7.4.2)

Command for FAILED_NODE_REPLACE

Params:

- `:seq_number` - the sequence number for the network command (required)
- `:mode` - the inclusion mode (optional default `:node_add_any_s2`)
- `:tx_opts` - the transmission options (optional default `:explore`)

If your controller does not support the `NETWORK_MANAGEMENT_INCLUSION` version 2, you will ned to pass `:node_add_any` as the `:mode` parameter.

This command should return the `NodeAddStatus` report after inclusion is complete.

# Summary

## Types

mode()
param()
tx_opt()

## Functions

decode_mode(byte)
encode_mode(atom)

# Types

Link to this type

# mode()

View Source

    @type mode() ::
      :start_failed_node_replace
      | :stop_failed_node_replace
      | :start_failed_node_replace_s2

Link to this type

# param()

View Source

    @type param() ::
      {:mode, mode()} | {:tx_opt, tx_opt()} | {:seq_number, Grizzly.seq_number()}

Link to this type

# tx_opt()

View Source

    @type tx_opt() :: :null | :low_power | :explore

# Functions

Link to this function

# decode_mode(byte)

View Source

    @spec decode_mode(byte()) :: {:ok, mode()} | {:error, Grizzly.ZWave.DecodeError.t()}

Link to this function

# encode_mode(atom)

View Source

    @spec encode_mode(mode()) :: byte()